Package org.apache.sling.feature.cpconverter.index

## Class IndexDefinitionsJsonWriter

- java.lang.Object
- - org.apache.sling.feature.cpconverter.index.IndexDefinitionsJsonWriter

    public class IndexDefinitionsJsonWriter
    extends Object

Writes index definitions in a JSON format that can be consumed by the `oak-run` tool.

See Also:
  Oak-Run indexing

### Constructor Summary

Constructors
`IndexDefinitionsJsonWriter​(@NotNull IndexDefinitions indexDefinitions)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `writeAsJson​(@NotNull OutputStream out)` Writes the index definitions to the specified `out`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IndexDefinitionsJsonWriter

    public IndexDefinitionsJsonWriter​(@NotNull
                                      @NotNull IndexDefinitions indexDefinitions)

### Method Detail

#### writeAsJson

    public void writeAsJson​(@NotNull
                            @NotNull OutputStream out)
                     throws IOException

Writes the index definitions to the specified `out`

Parameters:
  `out` - the output stream to write to
Throws:
  `IOException`